package envoy.client.event;

import envoy.data.Message;
import envoy.event.Event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>MessageCreationEvent.java</strong><br>
 * Created: <strong>4 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy v0.2-alpha
 */
public class MessageEvent implements Event<Message> {

	private static final long serialVersionUID = 7658989461923112804L;

	/**
	 * the {@link Message} attached to this {@link MessageEvent}.
	 */
	protected final Message message;

	/**
	 * Initializes a {@link MessageEvent} conveying information about a
	 * {@link Message} object.
	 *
	 * @param message the {@link Message} object to attach to this event
	 * @since Envoy v0.2-alpha
	 */
	public MessageEvent(Message message) { this.message = message; }

	@Override
	public Message get() { return message; }
}
